Package utility.application

# Class XdgUtils

java.lang.Object
utility.application.XdgUtils

public class XdgUtils extends Object
Class to support the "XDG Base Directory Specification"

Based off version 0.8

See Also:
  - basedir-spec-0.8.html

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `XDG_CACHE_HOME`
  $XDG_CACHE_HOME defines the base directory relative to which user-specific non-essential data files should be stored.
  `static final String`
  `XDG_CONFIG_DIRS`
  $XDG_CONFIG_DIRS defines the preference-ordered set of base directories to search for configuration files in addition to the $XDG_CONFIG_HOME base directory.
  `static final String`
  `XDG_CONFIG_HOME`
  $XDG_CONFIG_HOME defines the base directory relative to which user-specific configuration files should be stored.
  `static final String`
  `XDG_DATA_DIRS`
  $XDG_DATA_DIRS defines the preference-ordered set of base directories to search for data files in addition to the $XDG_DATA_HOME base directory.
  `static final String`
  `XDG_DATA_HOME`
  $XDG_DATA_HOME defines the base directory relative to which user-specific data files should be stored.
  `static final String`
  `XDG_RUNTIME_DIR`
  $XDG_RUNTIME_DIR defines the base directory relative to which user-specific non-essential runtime files and other file objects (such as sockets, named pipes, ...) should be stored.
  `static final String`
  `XDG_STATE_HOME`
  $XDG_STATE_HOME defines the base directory relative to which user-specific state files should be stored.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XdgUtils()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### XDG_DATA_HOME

    public static final String XDG_DATA_HOME
    $XDG_DATA_HOME defines the base directory relative to which user-specific data files should be stored. If $XDG_DATA_HOME is either not set or empty, a default equal to $HOME/.local/share should be used.
    See Also:
      - Constant Field Values

  - ### XDG_CONFIG_HOME

    public static final String XDG_CONFIG_HOME
    $XDG_CONFIG_HOME defines the base directory relative to which user-specific configuration files should be stored. If $XDG_CONFIG_HOME is either not set or empty, a default equal to $HOME/.config should be used.
    See Also:
      - Constant Field Values

  - ### XDG_STATE_HOME

    public static final String XDG_STATE_HOME
    $XDG_STATE_HOME defines the base directory relative to which user-specific state files should be stored. If $XDG_STATE_HOME is either not set or empty, a default equal to $HOME/.local/state should be used.
    See Also:
      - Constant Field Values

  - ### XDG_DATA_DIRS

    public static final String XDG_DATA_DIRS
    $XDG_DATA_DIRS defines the preference-ordered set of base directories to search for data files in addition to the $XDG_DATA_HOME base directory. The directories in $XDG_DATA_DIRS should be separated with a colon ':'.
    See Also:
      - Constant Field Values

  - ### XDG_CONFIG_DIRS

    public static final String XDG_CONFIG_DIRS
    $XDG_CONFIG_DIRS defines the preference-ordered set of base directories to search for configuration files in addition to the $XDG_CONFIG_HOME base directory. The directories in $XDG_CONFIG_DIRS should be separated with a colon ':'.
    See Also:
      - Constant Field Values

  - ### XDG_CACHE_HOME

    public static final String XDG_CACHE_HOME
    $XDG_CACHE_HOME defines the base directory relative to which user-specific non-essential data files should be stored. If $XDG_CACHE_HOME is either not set or empty, a default equal to $HOME/.cache should be used.
    See Also:
      - Constant Field Values

  - ### XDG_RUNTIME_DIR

    public static final String XDG_RUNTIME_DIR
    $XDG_RUNTIME_DIR defines the base directory relative to which user-specific non-essential runtime files and other file objects (such as sockets, named pipes, ...) should be stored. The directory MUST be owned by the user, and he MUST be the only one having read and write access to it. Its Unix access mode MUST be 0700.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### XdgUtils

    public XdgUtils()